Skip to main content
`Ctrl`+`K`

# numpy.ndenumerate

class numpy.ndenumerate(arr)

  Multidimensional index iterator.

  Return an iterator yielding pairs of array coordinates and values.

  Parameters:
    arr ndarray

      Input array.

  See also

  `ndindex`, `flatiter`

  Examples

      >>> import numpy as np
      >>> a = np.array([[1, 2], [3, 4]])
      >>> for index, x in np.ndenumerate(a):
      ...     print(index, x)
      (0, 0) 1
      (0, 1) 2
      (1, 0) 3
      (1, 1) 4